// Code generated by mockery v2.10.2. DO NOT EDIT.

package mocks

import (
	models "bots-ms/models"

	mock "github.com/stretchr/testify/mock"

	ms_sharedmodels "gitlab.com/nikita.morozov/ms-shared/models"
)

// EventRepository is an autogenerated mock type for the EventRepository type
type EventRepository struct {
	mock.Mock
}

// Count provides a mock function with given fields:
func (_m *EventRepository) Count() (uint64, error) {
	ret := _m.Called()

	var r0 uint64
	if rf, ok := ret.Get(0).(func() uint64); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(uint64)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func() error); ok {
		r1 = rf()
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Create provides a mock function with given fields: item
func (_m *EventRepository) Create(item *models.Event) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.Event) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Delete provides a mock function with given fields: item
func (_m *EventRepository) Delete(item *models.Event) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.Event) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// GetByHandlerName provides a mock function with given fields: name, botSlug
func (_m *EventRepository) GetByHandlerName(name string, botSlug string) (*models.Event, error) {
	ret := _m.Called(name, botSlug)

	var r0 *models.Event
	if rf, ok := ret.Get(0).(func(string, string) *models.Event); ok {
		r0 = rf(name, botSlug)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Event)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string, string) error); ok {
		r1 = rf(name, botSlug)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetById provides a mock function with given fields: id
func (_m *EventRepository) GetById(id uint) (*models.Event, error) {
	ret := _m.Called(id)

	var r0 *models.Event
	if rf, ok := ret.Get(0).(func(uint) *models.Event); ok {
		r0 = rf(id)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Event)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint) error); ok {
		r1 = rf(id)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// List provides a mock function with given fields: opts
func (_m *EventRepository) List(opts *ms_sharedmodels.ListOptions) (*[]models.Event, ms_sharedmodels.Paginator, error) {
	ret := _m.Called(opts)

	var r0 *[]models.Event
	if rf, ok := ret.Get(0).(func(*ms_sharedmodels.ListOptions) *[]models.Event); ok {
		r0 = rf(opts)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*[]models.Event)
		}
	}

	var r1 ms_sharedmodels.Paginator
	if rf, ok := ret.Get(1).(func(*ms_sharedmodels.ListOptions) ms_sharedmodels.Paginator); ok {
		r1 = rf(opts)
	} else {
		r1 = ret.Get(1).(ms_sharedmodels.Paginator)
	}

	var r2 error
	if rf, ok := ret.Get(2).(func(*ms_sharedmodels.ListOptions) error); ok {
		r2 = rf(opts)
	} else {
		r2 = ret.Error(2)
	}

	return r0, r1, r2
}

// Update provides a mock function with given fields: item
func (_m *EventRepository) Update(item *models.Event) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.Event) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
